Subject: fix for CVE-2012-4507 
From: Michael Schwendt <mschwendt@gmail.com>
Bug: http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2743
Bug-RedHat: https://bugzilla.redhat.com/862578
Bug-Debian: http://bugs.debian.org/690151
Applied-Upstream: 3.8.1cvs82

diff -purN claws-mail-3.8.1.orig/src/procmime.c claws-mail-3.8.1/src/procmime.c
--- claws-mail-3.8.1.orig/src/procmime.c	2012-06-27 11:05:22.000000000 +0200
+++ claws-mail-3.8.1/src/procmime.c	2012-10-11 18:40:13.000000000 +0200
@@ -1753,6 +1753,8 @@ static void parse_parameters(const gchar
 			continue;
 
 		charset = value;
+		if (charset == NULL)
+			continue;
 		lang = strchr(charset, '\'');
 		if (lang == NULL)
 			continue;
